GET /api/v2/locations/:id does not return information about realms

05/04/2015 09:40 AM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Organizations and Locations   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1216234 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2903

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1216234

Description of problem:

A location can be associated with zero or more realms. The API documentation makes mention of this in the documentation for

POST /api/v2/locations and PUT /api/v2/locations/:id, and the UI exposes this capability too. (See the relevant API documentation

page at https://sat.example.com/apidoc/v2/locations.html and search for "realm".) However, a GET request to /api/v2/locations/:id will

return information about associated realms.

Version-Release number of selected component (if applicable):

Tested against Satellite-6.1.0-RHEL-6-20150424.0 and Satellite-6.1.0-RHEL-7-20150424.0.

How reproducible:

100%

Steps to Reproduce:

1. Issue an HTTP GET request to https://sat.example.com/api/v2/locations/:id

2. Examine the response.

3. Discover that realms are not mentioned.

Actual results:

[

        u'compute_resources',

        u'config_templates',

        u'created_at',

        u'description',

        u'domains',

        u'environments',

        u'hostgroups',

        u'id',

        u'media',

        u'name',

        u'organizations',

        u'parameters',

        u'select_all_types',

        u'smart_proxies',

        u'subnets',

        u'title',

        u'updated_at',

        u'users',

    ]

 Expected results:

Same as above, but with realms mentioned.

Additional info:
Related issues:

Related to Hammer CLI - Feature #13276: Realms for organizations and locations New

Has duplicate Foreman - Bug #12445: GET /katello/api/organizations/:id return... Duplicate 11/11/2015

Associated revisions

Revision 502feabe - 01/12/2016 03:32 AM - Ondřej Pražák

Fixes #10357 - Realms for organizations and locations can be retrieved through API

Revision b6311d57 - 01/19/2016 09:18 AM - Ondřej Pražák

Fixes #10357 - Realms for organizations and locations can be retrieved through API

(cherry picked from commit 502feabe1259186625453a9dcc2165ccd0292741)

History

#1 - 05/05/2015 03:51 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 11/11/2015 09:32 AM - Dominic Cleal

- Has duplicate Bug #12445: GET /katello/api/organizations/:id returns an incomplete set of attributes added

#3 - 11/11/2015 09:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/2903 added

#4 - 01/12/2016 03:29 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#5 - 01/12/2016 04:06 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 502feabe1259186625453a9dcc2165ccd0292741.

#6 - 01/19/2016 09:06 AM - Ondřej Pražák

- Related to Feature #13276: Realms for organizations and locations added
